GHA RFC vs Selkirk · Tennent's Premiership
Tennent's Premiership · 2025-26Full time

20–14

Match report
GHA RFC beat Selkirk 20-14 at Braidholm, Giffnock in round 13 of the Tennent's Premiership on Saturday, 13 December 2025.
The win ends a run of two defeats for GHA RFC. Selkirk have now lost six in a row.
Written automatically from the match data; updated as results come in.
Head to head
4
GHA RFC wins (67%)
0
Draws (0%)
2
Selkirk wins (33%)
Last 6 meetings, since October 2021
Biggest GHA RFC win
34–10
2 Oct 2021
Biggest Selkirk win
28–14
8 Oct 2022
Last 5 meetings
- 13 Dec 2025 · Tennent's PremiershipGHA RFC20Selkirk1413 Dec 2025GHA RFC20–14SelkirkTennent's Premiership
- 13 Sept 2025 · Tennent's PremiershipSelkirk36GHA RFC4013 Sept 2025Selkirk36–40GHA RFCTennent's Premiership
- 7 Jan 2023 · Tennent's PremiershipGHA RFC17Selkirk217 Jan 2023GHA RFC17–21SelkirkTennent's Premiership
- 8 Oct 2022 · Tennent's PremiershipSelkirk28GHA RFC148 Oct 2022Selkirk28–14GHA RFCTennent's Premiership
- 5 Mar 2022 · Tennent's PremiershipSelkirk24GHA RFC275 Mar 2022Selkirk24–27GHA RFCTennent's Premiership